config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.openvswitch.new
( cd usr/lib ; rm -rf libsflow.so )
( cd usr/lib ; ln -sf libsflow-2.3.2.so libsflow.so )
( cd usr/lib ; rm -rf libovsdb.so )
( cd usr/lib ; ln -sf libovsdb-2.3.2.so libovsdb.so )
( cd usr/lib ; rm -rf libopenvswitch.so )
( cd usr/lib ; ln -sf libopenvswitch-2.3.2.so libopenvswitch.so )
( cd usr/lib ; rm -rf libofproto.so )
( cd usr/lib ; ln -sf libofproto-2.3.2.so libofproto.so )
